within Buildings;
package Examples "Collection of models that illustrate model use and test models"
  extends Modelica.Icons.ExamplesPackage;

annotation (preferredView="info", Documentation(info="<html>
<p>
This package contains a tutorial with step by step instructions
for how to build system models.
This package also contains examples of system models that are
composed of models from a variety of packages of the
<code>Buildings</code> library. The examples illustrate
the scope of the library. Smaller examples that typically only
use models from a few packages can be found in the individual packages.
For example, see
<a href=\"modelica://Buildings.Airflow.Multizone.Examples\">
Buildings.Airflow.Multizone.Examples</a> for examples of
multizone airflow and contaminant transport models, or
<a href=\"modelica://Buildings.Fluid.HeatExchangers.Examples\">
Buildings.Fluid.HeatExchangers.Examples</a> for
examples of heat exchanger models.
</p>
</html>"));
end Examples;
