within Buildings.Rooms.FLEXLAB.Data.Constructions.OpaqueConstructions.PartitionConstructions;
record PartitionWall =
   Buildings.HeatTransfer.Data.OpaqueConstructions.Generic(final material={
    Buildings.HeatTransfer.Data.Solids.GypsumBoard(x=0.01588),
    Buildings.HeatTransfer.Data.Solids.GypsumBoard(x=0.01588)},
    final nLay=2) "Model of a partition wall. Air is neglected"
    annotation(
defaultComponentPrefixes="parameter",
defaultComponentName="datOpaCon",
Documentation(info="<html>
    <p>
    This is a model of a partition wall. It is used in every test cell to
    separate the test cell itself and the attached closet.
    </p>
    </html>", revisions="<html>
<ul>
<li>
September 17, 2013, by Peter Grant:<br/>
First implementation.
</li>
</ul>
</html>"));
